%global enable_tests 1
%global module_name pinkie-promise
Name:                nodejs-%{module_name}
Version:             2.0.1
Release:             1
Summary:             Promise ponyfill with pinkie
License:             MIT
URL:                 https://github.com/floatdrop/pinkie-promise
Source0:             https://github.com/floatdrop/pinkie-promise/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha) npm(pinkie)
%endif
%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Aug 13 2020 wangyue <wangyue92@huawei.com> - 2.0.1-1
- package init
